<!--
  Generated template for the UserGeofencePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="primary">
    <ion-title>Geofences</ion-title>
    <ion-buttons end>
      <button ion-button icon-start color="royal" (click)="openGeofencePage()">
        <ion-icon name="add"></ion-icon> Add
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>
<ion-content padding class="home-background" no-padding>
  <mat-nav-list>
    <ng-container *ngFor="let datum of geofenceList">
      <mat-list-item (click) ="openGeofencePage(datum.id)" >
        <div mat-line>
          <h1 class = "geofence-name"> {{ datum.name }}</h1>
        </div>
        <button mat-icon-button>
          <mat-icon>chevron_right</mat-icon>
        </button>
      </mat-list-item>
      <mat-divider></mat-divider>
    </ng-container>
  </mat-nav-list>
</ion-content>
